Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Macros
fplatform.h File Reference

## Macros
#define | kLittleEndian 0
#define | kBigEndian 1
#define | SMTG_INTEL_CXX11_MODE 0
#define | SMTG_INTEL_COMPILER 0
#define | PLATFORM_64 SMTG_PLATFORM_64
#define | PTHREADS SMTG_PTHREADS
#define | SMTG_OVERRIDE
#define | SMTG_CONSTEXPR
#define | SMTG_CONSTEXPR14
#define | SMTG_NOEXCEPT
#define | SMTG_DEPRECATED_ATTRIBUTE(msg)
#define | SMTG_DEPRECATED_MSG(msg)

## Macro Definition Documentation

## ◆ kLittleEndian

#define kLittleEndian 0

## ◆ kBigEndian

#define kBigEndian 1

## ◆ SMTG_INTEL_CXX11_MODE

#define SMTG_INTEL_CXX11_MODE 0

## ◆ SMTG_INTEL_COMPILER

#define SMTG_INTEL_COMPILER 0

## ◆ PLATFORM_64

#define PLATFORM_64 SMTG_PLATFORM_64

## ◆ PTHREADS

#define PTHREADS SMTG_PTHREADS

## ◆ SMTG_OVERRIDE

#define SMTG_OVERRIDE

## ◆ SMTG_CONSTEXPR

#define SMTG_CONSTEXPR

## ◆ SMTG_CONSTEXPR14

#define SMTG_CONSTEXPR14

## ◆ SMTG_NOEXCEPT

#define SMTG_NOEXCEPT

## ◆ SMTG_DEPRECATED_ATTRIBUTE

#define SMTG_DEPRECATED_ATTRIBUTE | ( |  | msg | ) |

## ◆ SMTG_DEPRECATED_MSG

#define SMTG_DEPRECATED_MSG | ( |  | msg | ) |

Value:
SMTG_DEPRECATED_ATTRIBUTE(msg)
SMTG_DEPRECATED_ATTRIBUTE
#define SMTG_DEPRECATED_ATTRIBUTE(msg)
Definition fplatform.h:325
Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.